> ## Documentation Index
> Fetch the complete documentation index at: https://docs.myrouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling V2.5 Turbo Image-to-Video

Kling 2.5 Turbo Image-to-Video can generate cinematic videos from a single image and prompt, with smooth motion and high fidelity to the intended content. Features a new text-temporal engine, enhanced motion performance, and faster inference speed.

<Tip>
  This is an **async** API that only returns the task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</Tip>

## Request Headers

<ParamField header="Content-Type" type="string" required={true}>
  Enum: `application/json`
</ParamField>

<ParamField header="Authorization" type="string" required={true}>
  Bearer authentication format: Bearer \{\{API Key}}.
</ParamField>

## Request Body

<ParamField body="image" type="string" required={true}>
  First frame image for the video. Supported image formats include `.jpg`, `.jpeg`, `.png`. Image file size must not exceed 10MB, with a minimum resolution of 300\*300 pixels.
</ParamField>

<ParamField body="prompt" type="string" required={true}>
  Positive prompt text for video generation. Must not exceed 2500 characters.
</ParamField>

<ParamField body="duration" type="string" default="5">
  Duration of the generated video (in seconds).

  Possible values: `5`, `10`
</ParamField>

<ParamField body="cfg_scale" type="number" default={0.5}>
  Controls the flexibility of video generation. Higher values make the generated content adhere more closely to the prompt, with less creative freedom.

  Range: 0 to 1
</ParamField>

<ParamField body="mode" type="string" default="pro">
  Video generation mode. Possible values:

  * `pro`: Professional mode
</ParamField>

<ParamField body="negative_prompt" type="string">
  Negative prompt to specify content to avoid in the generation. Must not exceed 2500 characters.
</ParamField>

## Response

<ResponseField name="task_id" type="string" required={true}>
  The task\_id of the async task. Use the task\_id to call the [Get Async Task Result API](/docs/models/reference-get-async-task-result) to retrieve the generated result.
</ResponseField>
